# Person event types This is a list of all public [thin events](https://docs.stripe.com/event-destinations.md#thin-events) we currently send for updates to Person, which are continually evolving and expanding. The payload of thin events is unversioned. During processing, you must fetch the versioned event from the API or fetch the resource’s current state. ## API event types ### `v2.core.account_person.created` Occurs when a Person is created. Related object: [Person](https://docs.stripe.com/api/v2/core/persons/object.md) ## Attributes - `id` (string) Unique identifier for the event. - `object` (string, value is "v2.core.event") String representing the object’s type. Objects of the same type share the same value of the object field. - `context` (string, nullable) Authentication context needed to fetch the event or related object. - `created` (timestamp) Time at which the object was created. - `livemode` (boolean) Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode. - `related_object` (object) Object containing the reference to API resource relevant to the event. - `related_object.id` (string) Unique identifier for the object relevant to the event. - `related_object.type` (string, value is "v2.core.account_person") Object tag of the resource relevant to the event. - `related_object.url` (string) URL to retrieve the resource. - `type` (string, value is "v2.core.account_person.created") The type of the event. ## Fetched attributes - `changes` (object) Changes that the event makes to properties in the related object. See the [Person](https://docs.stripe.com/api/v2/core/persons/object.md) object for the structure of `before` and `after`. - `changes.after` (object) Updated values of properties that the event changed. This is `null` for deletion events. - `changes.before` (object, nullable) Values of properties before the event changes. This is `null` for creation events. - `data` (object) Additional data about the event. - `data.account_id` (string) The ID of the v2 account. - `reason` (object, nullable) Reason for the event. - `reason.request` (object, nullable) Information on the API request that instigated the event. - `reason.request.id` (string) ID of the API request that caused the event. - `reason.request.idempotency_key` (string) The idempotency key transmitted during the request. - `reason.type` (enum) Event reason type. Possible enum values: - `request` The event was published as the result of an API request. ### Event handler ```curl # Select a client library to see examples of # parsing and retrieving event details. ``` ### `v2.core.account_person.deleted` Occurs when a Person is deleted. Related object: [Person](https://docs.stripe.com/api/v2/core/persons/object.md) ## Attributes - `id` (string) Unique identifier for the event. - `object` (string, value is "v2.core.event") String representing the object’s type. Objects of the same type share the same value of the object field. - `context` (string, nullable) Authentication context needed to fetch the event or related object. - `created` (timestamp) Time at which the object was created. - `livemode` (boolean) Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode. - `related_object` (object) Object containing the reference to API resource relevant to the event. - `related_object.id` (string) Unique identifier for the object relevant to the event. - `related_object.type` (string, value is "v2.core.account_person") Object tag of the resource relevant to the event. - `related_object.url` (string) URL to retrieve the resource. - `type` (string, value is "v2.core.account_person.deleted") The type of the event. ## Fetched attributes - `changes` (object) Changes that the event makes to properties in the related object. See the [Person](https://docs.stripe.com/api/v2/core/persons/object.md) object for the structure of `before` and `after`. - `changes.after` (object, nullable) Updated values of properties that the event changed. This is `null` for deletion events. - `changes.before` (object) Values of properties before the event changes. This is `null` for creation events. - `data` (object) Additional data about the event. - `data.account_id` (string) The ID of the v2 account. - `reason` (object, nullable) Reason for the event. - `reason.request` (object, nullable) Information on the API request that instigated the event. - `reason.request.id` (string) ID of the API request that caused the event. - `reason.request.idempotency_key` (string) The idempotency key transmitted during the request. - `reason.type` (enum) Event reason type. Possible enum values: - `request` The event was published as the result of an API request. ### Event handler ```curl # Select a client library to see examples of # parsing and retrieving event details. ``` ### `v2.core.account_person.updated` Occurs when a Person is updated. Related object: [Person](https://docs.stripe.com/api/v2/core/persons/object.md) ## Attributes - `id` (string) Unique identifier for the event. - `object` (string, value is "v2.core.event") String representing the object’s type. Objects of the same type share the same value of the object field. - `context` (string, nullable) Authentication context needed to fetch the event or related object. - `created` (timestamp) Time at which the object was created. - `livemode` (boolean) Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode. - `related_object` (object) Object containing the reference to API resource relevant to the event. - `related_object.id` (string) Unique identifier for the object relevant to the event. - `related_object.type` (string, value is "v2.core.account_person") Object tag of the resource relevant to the event. - `related_object.url` (string) URL to retrieve the resource. - `type` (string, value is "v2.core.account_person.updated") The type of the event. ## Fetched attributes - `changes` (object) Changes that the event makes to properties in the related object. See the [Person](https://docs.stripe.com/api/v2/core/persons/object.md) object for the structure of `before` and `after`. - `changes.after` (object) Updated values of properties that the event changed. This is `null` for deletion events. - `changes.before` (object) Values of properties before the event changes. This is `null` for creation events. - `data` (object) Additional data about the event. - `data.account_id` (string) The ID of the v2 account. - `reason` (object, nullable) Reason for the event. - `reason.request` (object, nullable) Information on the API request that instigated the event. - `reason.request.id` (string) ID of the API request that caused the event. - `reason.request.idempotency_key` (string) The idempotency key transmitted during the request. - `reason.type` (enum) Event reason type. Possible enum values: - `request` The event was published as the result of an API request. ### Event handler ```curl # Select a client library to see examples of # parsing and retrieving event details. ```